Sign in to follow this  
rsrandazzo

[01OCT15] Prepar3D v2/v3 compatible installers available

Recommended Posts

Captains,

 

We have just made available new installers for all four of our products that are compatible with Lockheed Martin's Prepar3D product line.  These new installers recognize both v2.x and v3.x of P3D.

 

There are some important installation considerations here that you should take a moment to read in order to avoid getting confused.  We tried to make things simple, but I would also like for you to understand exactly what we did so that you are not accidentally exposed to frustration!

 

WHAT THIS UPDATE DOES:  This update does not change the 737 or 777 products in any way.  All this update does is provide you with an installation mechanism that is capable of recognizing Prepar3D v3.  (The original installer only recognizes v2.x.)

 

WHO NEEDS THIS UPDATE:  You only need this update if you upgrade your Prepar3D installation to v3.  If you are planning to remain with v2, then you need do nothing further.  If you eventually upgrade to v3, then come back here and read this...

 

WHAT ELSE DO I NEED TO KNOW:  We do not intend to create an installation mechanism that will allow you to install your PMDG products for P3D into multiple versions of P3D.  This is impractical and creates a bunch of overlap issues that can be problematic for non-technical users, thus creating support transactions and headaches for everyone involved.  For that reason, we have simplified the installation mechanism as follows:

 

  • If P3D v3 is present, the installer will target your P3D v3 setup and will ignore v2 completely.
  • If P3D v2 is present, but v3 is not, then the installer will target P3D v2.

 

IMPORTANT INSTALLATION CONSIDERATIONS:  If you have your PMDG product already installed to P3D v2, and then you install P3D v3 and wish to use your PMDG product in v3, you will need to UNINSTALL the PMDG product before you will be allowed to install it to v3.

 

If you cannot remember any of this when you are in the heat of P3D v3 installation battle, just remember this:  "When in doubt- uninstall your PMDG product, download a new copy of the installer, and run it."

 

WHERE CAN I GET THE P3D v3 UPDATED INSTALLERS?:  Log into your account in our ecommerce site, click on your order history, and find the download link for your P3D product order.  Download the installer anew, uninstall your previous product installation, run the new installer- and you are good to go.

 

 

Okay- with all of that said:  There are a few new features in Prepar3D v3 that we are going to include for the 747-400 and 747-8.  Jason and I are already at work on them.  We are looking at the new attachpoint camera positions and trying to determine if we can use them to create a VC based projection for the GMC on the 777-300 as well.  If we pull it off, we will have an update for you.

 

I have to tell you that I absolutely LOVE working with a platform that is growing and adding features.  It is quite a refreshing change from the past few years!

 

Okay- thanks for supporting our product line for Prepar3D- I'd best get back to code before anyone notices I am missing!

 

 

  • Upvote 1

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Same as above, thanks so much for your hard work and fast response on this.... Love your 737/777 and can't wait for the 747 and hopefully J41 (I REALLY want that one in P3D!).  Thanks again!  Downloading new installers now.

 

Allen Douglas

Share this post


Link to post
Share on other sites

Yes, to all above.  Will begin the download now.

Many thanks to the PMDG crew.

 

 

Jerry Friz

Share this post


Link to post
Share on other sites

 Jason and I are already at work on them.  We are looking at the new attachpoint camera positions and trying to determine if we can use them to create a VC based projection for the GMC on the 777-300 as well.  If we pull it off, we will have an update for you.

My understanding is that you can use a render-to-texture texture for a taxicam?

Share this post


Link to post
Share on other sites

So... Great support, but I can't install it into P3D v3. I don't have v2.5 anymore (clean deinstallation  with all addons) but the Installer from PMDG tells me "unable to locate Prepar3D.exe. Unable to Install." 

Share this post


Link to post
Share on other sites

Robert said,

" I have to tell you that I absolutely LOVE working with a platform that is growing and adding features.  It is quite a refreshing change from the past few years! "

 

Yes, P3Dv3 is like FS12 might have been, had the MS team not been fired.

Good job LM !!

 

Jerry Friz

Share this post


Link to post
Share on other sites

Hi Robert,

Thanks for the updated installers, I just installed the 777 into P3d v3 and now its crashing at startup, think it is RAAS pro which is causing it, It asked if I wanted to update it, I said no and the sim crashed, then I restarted p3d and then said that yes I wanted to update, which led me to the Fs2Crew website to download the update, installed this into p3d v34 but p3d still crashes! Any way to disable RAAS Pro until they come up with a newer update?

This is the windows app log for the crash after I installed the update to RAAS...

Activation context generation failed for "E:\Prepar3d v3\RAASPRO\RAASPRO.dll". Dependent Assembly Microsoft.FlightSimulator.SimConnect ,processorArchitecture="x86",publicKeyToken="xxxxxxxxxxxxxx",type="win32",version="10.0.61242.0" could not be found. Please use sxstrace.exe for detailed diagnosis.

p.s. I took out the public key token incase it was unique to me!

 

thanks,

A

Share this post


Link to post
Share on other sites

I just installed the 777 into P3d v3 and now its crashing at startup, think it is RAAS pro which is causing it, It asked if I wanted to update it

 

PMDG has the latest version of RAAS for the P3D 777 installer.  So it shouldn't be asking you for an update.  Robert and I discussed the update personally.

 

 

You can disable RAAS by going into the XML.dll for Prepar 3D and changing Disabled to True:

 

<Disabled>False</Disabled>

 

 

Try downloading the 777 again via your PMDG account.  Save it to your desktop or any other new location.  Maybe you still have the old 777 installer?  That might explain RAAS being out of date?

Share this post


Link to post
Share on other sites

So... Great support, but I can't install it into P3D v3. I don't have v2.5 anymore (clean deinstallation  with all addons) but the Installer from PMDG tells me "unable to locate Prepar3D.exe. Unable to Install." 

 

You sure you downloaded the latest installer from your account?

Share this post


Link to post
Share on other sites

PMDG has the latest version of RAAS for the P3D 777 installer.  So it shouldn't be asking you for an update.  Robert and I discussed the update personally.

 

 

You can disable RAAS by going into the XML.dll for Prepar 3D and changing Disabled to True:

 

<Disabled>False</Disabled>

 

 

Try downloading the 777 again via your PMDG account.  Save it to your desktop or any other new location.  Maybe you still have the old 777 installer?  That might explain RAAS being out of date?

Hi Bryan. Thanks for the speedy reply,

I downloaded the new installer to a separate folder, and also the 777 recognised P3D v3 when I installed it so that would suggest it was correct. I'll disable RAAS temporally for now but will probably try a redownload and reinstall later.

Cheers,

A

You sure you downloaded the latest installer from your account?

Sure did!

Share this post


Link to post
Share on other sites

You sure you downloaded the latest installer from your account?

 

Kyle, please see my own topic here. :) Thanks for your assistance. 

Share this post


Link to post
Share on other sites

Hi Bryan. Thanks for the speedy reply,

I downloaded the new installer to a separate folder, and also the 777 recognised P3D v3 when I installed it so that would suggest it was correct. I'll disable RAAS temporally for now but will probably try a redownload and reinstall later.

Cheers,

A

 

Sure did!

 

 

Anyone else experience this?

 

If not, I'm guessing maybe your anti-virus ate something.  That can happen.

 

When you re-install, ensure your anti-virus is "excluding" the P3D V3 folder.

Share this post


Link to post
Share on other sites

Thanks Robert, and to PMDG for all the hard work.

 

P3D v3 is compatible with Windows 10 (hardware drivers being a separate issue!). Can we assume that the PMDG products compatible with P3D v3 also have no (known!) issues regarding Windows 10?

 

Thanks

 

Dave Nash

Share this post


Link to post
Share on other sites

I uninstalled both the Prepar3D v2.x 737NGX and 777 before installing the new versions.  I am getting the "Your product is out of date. Do you want to update?" for RAAS Professional when starting Prepar3D as well after installing the 777.  Not sure if it matters but I don't use FS2Crew.

 

John

Share this post


Link to post
Share on other sites

I uninstalled both the Prepar3D v2.x 737NGX and 777 before installing the new versions.  I am getting the "Your product is out of date. Do you want to update?" for RAAS Professional when starting Prepar3D as well after installing the 777.  Not sure if it matters but I don't use FS2Crew.

 

RAAS, which is included with and integrated into the 777, was produced by FS2Crew.

 

It's the function that gives the runway callouts.

Share this post


Link to post
Share on other sites

Kyle,

 

Should I go ahead and update or did the 777 installer have the newest version.  Why am I getting the error?

 

John

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this